Subject: Re: [PATCH 1/1] VSOCK: Introduce VM Sockets

From: Gerd Hoffmann <[email-masked]>
Date: Fri, 15 Feb 2013 11:32:36 +0100

On 02/07/13 01:23, Andy King wrote:
> +/* Use this as the destination CID in an address when referring to the
> + * hypervisor.  VMCI relies on it being 0, but this would be useful for other
> + * transports too.
> + */
> +
> +#define VMADDR_CID_HYPERVISOR 0
> +
> +/* This CID is specific to VMCI and can be considered reserved (even VMCI
> + * doesn't use it anymore, it's a legacy value from an older release).
> + */
> +
> +#define VMADDR_CID_RESERVED 1
> +
> +/* Use this as the destination CID in an address when referring to the host
> + * (any process other than the hypervisor).  VMCI relies on it being 2, but
> + * this would be useful for other transports too.
> + */
> +
> +#define VMADDR_CID_HOST 2

CIDs larger than 2 will address other VMs on the same host, with the
hypervisor forwarding the data from one guest to the other and back?

How does VMADDR_CID_HOST work?  Given the age of the vsock transport
layer I don't think you have a vsock_transport_host.ko module ...

Is there some registry for the port numbers?

cheers,
  Gerd